[arch-commits] Commit in lzo/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 30 23:40:39 EDT 2009


    Date: Thursday, April 30, 2009 @ 23:40:39
  Author: eric
Revision: 37201

Merged revisions 356,37198 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/lzo/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r37198 | eric | 2009-04-30 23:25:29 -0400 (Thu, 30 Apr 2009) | 2 lines
  
  upgpkg: lzo 1.08-5
      License rebuild, Removed old syntax force option
........

Modified:
  lzo/repos/extra-i686/	(properties)
  lzo/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)


Property changes on: lzo/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /lzo/trunk:1
   + /lzo/trunk:1-37200

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-01 03:37:50 UTC (rev 37200)
+++ extra-i686/PKGBUILD	2009-05-01 03:40:39 UTC (rev 37201)
@@ -1,3 +1,4 @@
+# $Id$
 # Contributor: Low Kian Seong <fastmail_low at speedymail.org>
 # Maintainer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=lzo
@@ -2,4 +3,3 @@
 pkgver=1.08
-pkgrel=4
-force=y
+pkgrel=5
 pkgdesc="LZO is a portable lossless data compression library written in ANSI C"
@@ -16,10 +16,10 @@
 md5sums=('ab94d3da364c7cbd5b78d76f1875b0f6' '43fb13762383b572d22152f8815ea4a5')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np0 -i  ${startdir}/src/nasm-gcc3.patch || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np0 -i  ${srcdir}/nasm-gcc3.patch || return 1
   autoconf || return 1
-  ./configure --prefix=/usr --enable-shared
+  ./configure --prefix=/usr --enable-shared || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }



More information about the arch-commits mailing list